# BackRaw's EasyAdmin-Script (BEAdmin) v1

# import important libraries
import es
import gamethread
import playerlib

def player_say(ev):
    # setup script1 and script2 to the scripts you've installed on the server
    es.set('script1', 'notifications')
    es.set('script2', 'killboost')
    # check whether or not the userid is 0
    if not ev['userid'] == '0':
        # create values for variables
        thePlayer = playerlib.getPlayer(ev['userid'])
        theSteam = thePlayer.attributes['steamid']
        # setup admins
        theAdmins = ('STEAMID', 'STAEMID', 'STEAMID')
        # if the SteamID equals to the Admin-SteamID, allow him/her to use the following commands
        if theSteam in theAdmins:
            # turn on Friendly Fire
            if ev['text'] == 'ff on':
                es.set('mp_friendlyfire', '1')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenFriendly Fire: #greenOn')
            # turn off Friendly Fire
            if ev['text'] == 'ff off':
                es.set('mp_friendlyfire', '0')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenFriendly Fire: #greenOff')
            # turn on Auto-Kick
            if ev['text'] == 'akick on':
                es.set('mp_autokick', '1')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenAuto-Kick: #greenOn')
            # turn off Auto-Kick
            if ev['text'] == 'akick off':
                es.set('mp_autokick', '0')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenAuto-Kick: #greenOff')
            # set gravity to 800 (Standard)
            if ev['text'] == 'highgrav':
                es.set('sv_gravity', '800')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenGravity: #green800')
            # set gravity to 150
            if ev['text'] == 'lowgrav':
                es.set('sv_gravity', '150')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenGravity: #green150')
            # kill every bot on the server
            if ev['text'] == 'killbots':
                es.server.queuecmd('bot_kill')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenSlayed every #greenBot')
            # kick every bot on the server
            if ev['text'] == 'kickbots':
                es.server.queuecmd('bot_kick')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenKicked every #greenBot')
            # add a bot
            if ev['text'] == 'addbot':
                es.server.queuecmd('bot_add')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenAdded a #greenBot')
            # add a bot to team Terrorists
            if ev['text'] == 'addbot t':
                es.server.queuecmd('bot_add_t')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenAdded a #greenBot #lightgreento team Terrorists')
            # add a bot to team Counter-Terrorists
            if ev['text'] == 'addbot_ct':
                es.server.queuecmd('bot_add_ct')
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenAdded a #greenBot #lightgreento team Counter-Terrorists')
            # give every player $500
            if ev['text'] == 'givecash 500':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 500)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenGave #green$500
            # give every player $1000
            if ev['text'] == 'givecash 1000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 1000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenGave #green$1000
            # give every player $1500
            if ev['text'] == 'givecash 1500':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 1500)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenGave #green$1500
            # give every player $2000
            if ev['text'] == 'givecash 2000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 2000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenGave #green$2000
            # give every player $3000
            if ev['text'] == 'givecash 3000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).add('cash', 3000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenGave #green$3000
            # set every player's cash to $5000
            if ev['text'] == 'setcash 5000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 5000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenSet #green$ #lightgreento #green5000
            # set every player's cash to $8000
            if ev['text'] == 'setcash 8000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 8000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenSet #green$ #lightgreento #green8000
            # set every player's cash to $10000
            if ev['text'] == 'setcash 10000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 10000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenSet #green$ #lightgreento #green10000
            # set every player's cash to $12000
            if ev['text'] == 'setcash 12000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 12000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenSet #green$ #lightgreento #green12000
            # set every player's cash to $16000
            if ev['text'] == 'setcash 16000':
                for userid in playerlib.getUseridList('#all'):
                    playerlib.getPlayer(userid).set('cash', 16000)
                    es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreenSet #green$ #lightgreento #green16000
            # load script "war" (if it's installed on the server)
            if ev['text'] == 'war an':
                es.load('war')
                es.unload(es.ServerVar('script1'))
                es.unload(es.ServerVar('script2'))
                es.msg('#multi', '#green[#lightgreenAdmin#green] #lightgreen\'#greenAdmin#lightgreen\' unloaded. Loading \'#greenWar#lightgreen\'...')
                es.server.cmd('mp_restartgame 1')
                es.unload('admin')
            # load standard server settings + unload scripts you've setup above
            if ev['text'] == 'normal':
                es.server.cmd('mp_restartgame 1')
                es.server.cmd('exec server.cfg')
                es.unload(es.ServerVar('script1'))
                es.unload(es.ServerVar('script2'))
                gamethread.delayed(2, es.server.cmd, 'es_xmsg #multi #green[#lightgreenAdmin#green] #lightgreenLoaded standard server settings')
            # load standard server settings + the scripts you've setup above
            if ev['text'] == 'normal, scripts':
                es.server.cmd('mp_restartgame 1')
                es.server.cmd('exec server.cfg')
                es.load(es.ServerVar('script1'))
                es.load(es.ServerVar('script2'))
                gamethread.delayed(2, es.server.cmd, 'es_xmsg #multi #green[#lightgreenAdmin#green] #lightgreenLoaded standard server settings and scripts')
            # load the scripts you've setup above
            if ev['text'] == 'scripts':
                es.server.cmd('mp_restartgame 1')
                es.load(es.ServerVar('script1'))
                es.load(es.ServerVar('script2'))
                gamethread.delayed(2, es.server.cmd, 'es_xmsg #multi #green[#lightgreenAdmin#green] #lightgreenLoaded scripts')
            # do 3 round restarts
            if ev['text'] == '3rr':
                es.server.cmd('mp_restartgame 1')
                gamethread.delayed(2, es.server.cmd, 'mp_restartgame 1')
                gamethread.delayed(4, es.server.cmd, 'mp_restartgame 1')
                gamethread.delayed(6, es.server.cmd, 'es_xmsg #multi #green[#lightgreenAdmin#green] #lightgreenDone 3 Round-Restarts #lightgreensuccessfully')
            # do a round restart
            if ev['text'] == 'rr':
                es.server.cmd('mp_restartgame 1')
                gamethread.delayed(2, es.server.cmd, 'es_xmsg #multi #green[#lightgreenAdmin#green] #lightgreenDone the Round-Restart #lightgreensuccessfully')
            # change to map de_dust2
            if ev['text'] == '!dust2':
                es.server.cmd('changelevel de_dust2')
            # change to map de_dust
            if ev['text'] == '!dust':
                es.server.cmd('changelevel de_dust')
            # change to map de_aztec
            if ev['text'] == '!aztec':
                es.server.cmd('changelevel de_aztec')
            # change to map cs_italy
            if ev['text'] == '!italy':
                es.server.cmd('changelevel cs_italy')
